/*
 * jQuery Elements Of tag ver0.1
 * http://jsandgo.seesaa.net/
 *
 * Copyright 2010, GABAScript
 *
 * Demo at: http://jsandgo.seesaa.net/html/elementsoftag.html
 *
 * Last Modification Date: 2 12 2010 
 * Creation Date: 2 12 2010
 * Release Date: 2 12 2010
 *
*/
/*
How to use:

$(function(){
	$('id').elementsOfTag('filePath');
});

*/

(function($){

	//このプラグインの名前 This plagin name.
	$.fn.elementsOfTag = function(fileName){

		var ID = this;
		var spanClass = 'thisTagWillBeReplaed';
		//内容を得ます ID指定のみOnly the specified ID.
		var text = ID.html();
		ID.each(function(){

			//データを得ます ファイルを更新すればいくらでも増やせます You can add more then at least update the file.
			$.getJSON(fileName, function(fileData){

				for(var i in fileData){
					//urlと内容を交換 Replace url.
					var change = '<span class="' + spanClass + '" title="' + fileData[i].url + '">'+ fileData[i].string +'</span>';
					var re = new RegExp(fileData[i].string,'g');
					text = text.replace(re,change);
				}

				//一度元の場所に吐き出します Once exported to the original location.
				ID.html(text);

				//元々「a」タグがあればその中の文字にマッチングしても弾くようにしています Originally "a" to play to even the match, if any character in Tag.
				$('a span.' + spanClass,ID).each(function(){
					$(this).replaceWith($(this).html());
				});

				//最後に仮に「span」にしていた要素を「a」タグに戻して終了 Suppose at the end "span" element was a "a" back end tag.
				$('span.' + spanClass,ID).each(function(){
					$(this).replaceWith('<a href="' + $(this).attr('title') + '">' + $(this).html() + '</a>');
				});

			});

		});

		return this;

	};

})(jQuery);
